package com.inspect.metadata.bdconfig.service.impl;

import com.inspect.metadata.bdconfig.domain.BasedataBdConfigDeviceConvert;
import com.inspect.metadata.bdconfig.mapper.BasedataBdConfigDeviceConvertMapper;
import com.inspect.metadata.bdconfig.service.IBasedataBdConfigDeviceConvertService;
import com.inspect.base.core.utils.DateUtils;

import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class BasedataBdConfigDeviceConvertServiceImpl implements IBasedataBdConfigDeviceConvertService {
    private final BasedataBdConfigDeviceConvertMapper basedataBdconfigDeviceConvertMapper;

    public BasedataBdConfigDeviceConvertServiceImpl(BasedataBdConfigDeviceConvertMapper basedataBdconfigDeviceConvertMapper) {
        this.basedataBdconfigDeviceConvertMapper = basedataBdconfigDeviceConvertMapper;
    }

    public BasedataBdConfigDeviceConvert selectBasedataBdConfigDeviceConvertByDeviceConvertId(Long deviceConvertId) {
        return this.basedataBdconfigDeviceConvertMapper.selectBasedataBdConfigDeviceConvertByDeviceConvertId(deviceConvertId);
    }

    public List<BasedataBdConfigDeviceConvert> selectBasedataBdConfigDeviceConvertList(BasedataBdConfigDeviceConvert basedataBdconfigDeviceConvert) {
        return this.basedataBdconfigDeviceConvertMapper.selectBasedataBdConfigDeviceConvertList(basedataBdconfigDeviceConvert);
    }

    public int insertBasedataBdConfigDeviceConvert(BasedataBdConfigDeviceConvert basedataBdconfigDeviceConvert) {
        basedataBdconfigDeviceConvert.setCreateTime(DateUtils.getNowDate());
        return this.basedataBdconfigDeviceConvertMapper.insertBasedataBdConfigDeviceConvert(basedataBdconfigDeviceConvert);
    }

    public int updateBasedataBdConfigDeviceConvert(BasedataBdConfigDeviceConvert basedataBdconfigDeviceConvert) {
        basedataBdconfigDeviceConvert.setUpdateTime(DateUtils.getNowDate());
        return this.basedataBdconfigDeviceConvertMapper.updateBasedataBdConfigDeviceConvert(basedataBdconfigDeviceConvert);
    }

    public int deleteBasedataBdConfigDeviceConvertByDeviceConvertIds(Long[] deviceConvertIds) {
        return this.basedataBdconfigDeviceConvertMapper.deleteBasedataBdConfigDeviceConvertByDeviceConvertIds(deviceConvertIds);
    }

    public int deleteBasedataBdConfigDeviceConvertByDeviceConvertId(Long deviceConvertId) {
        return this.basedataBdconfigDeviceConvertMapper.deleteBasedataBdConfigDeviceConvertByDeviceConvertId(deviceConvertId);
    }
}
